export const PROJECT_VERSION = window.globalConfig.Version;
export const PROJECT_NAME = window.globalConfig.Name;
export const ICP_LICENSE = window.globalConfig.ICPLicense;

export const OUT_LINK_URL = window.globalConfig.OutLinkUrl;

//#region ====================== 后端地址 ======================
export const MAIN_URL = window.globalConfig.WebApiUrl.MainUrl;
export const AUTH_URL = window.globalConfig.WebApiUrl.AuthUrl;
export const SECONDARY_URL = window.globalConfig.WebApiUrl?.SecondaryUrl;
export const TERTIARY_URL = window.globalConfig.WebApiUrl?.TertiaryUrl;
//#endregion

//#region ====================== 前端地址 ======================
// 最后一个字符是 '/'
export const SERVE_URL = window.location.origin + window.location.pathname;
//#endregion

//#region ====================== 模块 ======================
export const MODULE_CODE = window.moduleConfig?._self?.code;
export const TYPE_CODE = window.moduleConfig?._self?.type?.code;
//#endregion
//#region ====================== 资产模块 ======================
export const PUMP_CODE = window.moduleConfig?.assets?.equipment?.pump?.code;
export const EQUIPMENT_CODE = window.moduleConfig?.assets?.equipment?.code;
export const EQUIPMENT_GROUP_CODE = window.moduleConfig?.assets?.equipmentGroup?.code;
export const EQUIPMENT_DIRECTORY_CODE = window.moduleConfig?.assets?.equipmentDirectory?.code;
export const ENGINE_PUMP_CODE = window.moduleConfig?.assets?.equipment?.enginePump?.code;
//#endregion

//#region ====================== 综合模块 ======================
export const LOGIC_POLICY_CODE = window.moduleConfig?.comprehensive?.logicPolicy?.code;
export const LOGIC_AREA_CODE = window.moduleConfig?.comprehensive?.logicArea?.code;
export const LOGIC_SITE_CODE = window.moduleConfig?.comprehensive?.logicSite?.code;
export const WORK_INFO_CODE = window.moduleConfig?.comprehensive?.workInfo?.code;
export const ART_IMAGE_CODE = window.moduleConfig?.comprehensive?.artImage?.code;
export const LOGIC_DMA_CODE = window.moduleConfig?.comprehensive?.logicDma?.code;

//#endregion
//#region ====================== Dma分区 ======================
export const DMA_AREA_CODE = window.moduleConfig?.dma?.area?.code;
// 目前只有这一个分区，由后端管理
export const DMA_AREA_ID = '1';

//#endregion

//#region ====================== 故障诊断模块 ======================
export const FAULT_DIAGNOSIS_RULE_CODE = window.moduleConfig?.fault?.diagnosis?.rule?.code;
export const FAULT_DIAGNOSIS_EVENT_CODE = window.moduleConfig?.fault?.diagnosis?.event?.code;
export const FAULT_DIAGNOSIS_EVENT_FACE_CODE = window.moduleConfig?.fault?.diagnosis?.event?.face?.code;
export const FAULT_TREE_CODE = window.moduleConfig?.fault?.tree?.code;
export const FAULT_TREE_GROUP_CODE = window.moduleConfig?.fault?.tree?.group?.code;
export const FAULT_TREE_VERSION_CODE = window.moduleConfig?.fault?.tree?.version?.code;

//#endregion

//#region ====================== 监测模块 ======================
export const POINT_GROUP_CODE = window.moduleConfig?.monitor?.monitorPointGroup?.code;
export const POINT_CODE = window.moduleConfig?.monitor?.monitorPoint?.code;
export const SIGNAL_CODE = window.moduleConfig?.monitor?.signal?.code;
export const FORMULA_CODE = window.moduleConfig?.monitor?.formula?.code;
/** @description 瞬时流量 */
export const INSTANTANEOUS_FLOW = window.moduleConfig?.monitor?.signalTypeGroup?.signalType.instantaneousFlow.code;
export const PRESSURE_CODE = window.moduleConfig?.monitor?.signalTypeGroup?.signalType?.pressure.code;
/** @description 浊度信号类型编码 */
export const TURBIDITY_CODE = window.moduleConfig?.monitor?.signalTypeGroup?.signalType?.turbidity.code;
/** @description 余氯信号类型编码 */
export const CHLORINE_RESIDUE_CODE = window.moduleConfig?.monitor?.signalTypeGroup?.signalType.chlorineResidue.code;

//#region ====================== 功能配置 ======================
/** @description 是否支持推送报警功能 */
export const IS_ALARM_PUSH_ENABLE = window.featureConfig?.monitor?.alarmPush;
//#endregion

//#endregion

//#region ====================== 其他模块 ======================
export const TEST_BENCH_CODE = window.moduleConfig?.test?.testBench?.code;
export const AIRP_SITE_CODE = window.moduleConfig?.airp?.airpSite?.code;
export const TENANT_CODE = window.moduleConfig?.auth?.tenant?.code;
//#endregion

export const responsePropertiesDict = {
	required: '必填',
	description: '说明',
	nullable: '可空',
	type: '类型',
	format: '格式',
	minLength: '最小长度',
	minimum: '最小值',
	enum: '枚举值',
	additionalProperties: '额外参数',
	items: '数组描述',
};

export const formatParasDict = {
	UnitType: '单位类型',
	UnitValue: '单位值',
	DecimalPlaces: '小数位数',
	YUnitType: 'Y轴单位类型',
	YUnitValue: 'Y轴单位值',
	YDecimalPlaces: 'Y轴小数位数',
	XUnitType: 'X轴单位类型',
	XUnitValue: 'X轴单位值',
	XDecimalPlaces: 'X轴小数位数',
	Name: '名称',
	Value: '值',
	Code: '编码',
	Description: '说明',
	Items: '枚举项',
};

export const measureParasDict = {
	DefaultValue: '默认值',
	InitialValue: '初始值',
	HighValue: '高值',
	HigherValue: '高高值',
	LowValue: '低值',
	LowerValue: '低低值',
	MinValue: '下限',
	MaxValue: '上限',
	ErrorValue: '误差值',
};

export const displayParasDict = {
	UnitValue: '单位值',
	DecimalPlaces: '小数位数',
	BreakSpace: '中断间隔',
	EnumName: '名称',
	DisplayColor: '颜色',
	XUnitValue: 'X轴单位值',
	XDecimalPlaces: 'X轴小数位数',
	YUnitValue: 'Y轴单位值',
	YDecimalPlaces: 'Y轴小数位数',
	AxisCoord: '轴坐标',
	AxisLabels: '轴标签',
	Min: '最小值',
	Max: '最大值',
	Space: '间隔',
	Items: '枚举项',
	Name: '名称',
	Value: '值',
};
